//
//  ViewController.m
//  TestAutoLabel
//
//  Created by 牛帮主 on 16/8/25.
//  Copyright © 2016年 牛帮主. All rights reserved.
//

#import "ViewController.h"
#import "MOTAutoSizeLabel.h"

@interface ViewController () <MOTAutoSizeLabelDelegate>

@property (strong, nonatomic) MOTAutoSizeLabel *label;
@property (weak, nonatomic) IBOutlet UILabel *w;
@property (weak, nonatomic) IBOutlet UILabel *h;

@end

@implementation ViewController

- (void)viewDidLoad {
    [super viewDidLoad];
    
    self.label = [[MOTAutoSizeLabel alloc]initWithFrame:CGRectMake(10, 40, 100, 20)];
    self.label.backgroundColor = [UIColor orangeColor];
    self.label.delegate = self;
    [self.view addSubview:self.label];

}
- (IBAction)text:(UITextField *)sender {
    self.label.text = sender.text;
    self.w.text = [NSString stringWithFormat:@"宽度%.f", self.label.textWidth];
    self.h.text = [NSString stringWithFormat:@"高度%.f", self.label.textHeight];
}

-(void)changeHeight:(CGFloat)height {
    NSLog(@"%.f", height);
}
-(void)changeWidth:(CGFloat)width {
    NSLog(@"%.f", width);
}
- (IBAction)height:(UISwitch *)sender {
    self.label.isAutoHeight = sender.on;
}
- (IBAction)width:(UISwitch *)sender {
    self.label.isAutoWidth = sender.on;
}

-(void)touchesBegan:(NSSet<UITouch *> *)touches withEvent:(UIEvent *)event {
    [self.view endEditing:YES];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
